

BagLogger = {}

BagLogger.LogBag = function (idx)
  BagLogger.bagicon, BagLogger.bagslots = GetBagInfo(BAG_BACKPACK)
  BagLogger.ClearLog("characteritems",string.lower(GetUnitName("player")))
  BagLogger.itemlist = ALT.savedVars["characteritems"].data[string.lower(GetUnitName("player"))]
  
  
  for i=1, BagLogger.bagslots do
    BagLogger.icon, BagLogger.stack, BagLogger.sellPrice, BagLogger.failedEquipRequirement, BagLogger.locked, BagLogger.equipType, BagLogger.itemStyle, BagLogger.quality = GetItemInfo(BAG_BACKPACK, i)

    if (not (BagLogger.stack == 0))
    then
      BagLogger.link = GetItemLink(BAG_BACKPACK, i, LINK_STYLE_BRACKETS)
      BagLogger.name = GetItemName(BAG_BACKPACK,i)

     

      table.insert(BagLogger.itemlist, {["name"]= BagLogger.name,["link"]=BagLogger.link, ["qty"]=BagLogger.stack, ["sellPrice"]=BagLogger.sellPrice, ["equipType"]=BagLogger.equipType } )

      table.sort(BagLogger.itemlist, function(a,b) return a["name"] < b["name"] end)

    end
  end
end

BagLogger.Searchbagbyname = function (text)
	d(text)
	BagLogger.allchar  =   ALT.savedVars["characteritems"].data
	BagLogger.bankicon, BagLogger.bankslots = GetBagInfo(BAG_BANK)
	
	BagLogger.ClearLog("characteritems",string.lower("bank"))
	
	BagLogger.allchar = ALT.savedVars["characteritems"].data

	BagLogger.unsortedlist = {}


  for i=1, BagLogger.bankslots do
    BagLogger.icon, BagLogger.stack, BagLogger.sellPrice, BagLogger.failedEquipRequirement, BagLogger.locked, BagLogger.equipType, BagLogger.itemStyle, BagLogger.quality = GetItemInfo(BAG_BANK, i)

   if (not (BagLogger.stack == 0))
    then

      BagLogger.link = GetItemLink(BAG_BANK, i, LINK_STYLE_BRACKETS)
      BagLogger.name = GetItemName(BAG_BANK,i)
      table.insert(BagLogger.allchar["bank"], {["name"]= BagLogger.name,["link"]=BagLogger.link, ["qty"]=BagLogger.stack, ["sellPrice"]=BagLogger.sellPrice, ["equipType"]=BagLogger.equipType } )

    end
  end
  

	for k,v in pairs(BagLogger.allchar) do
	--d(k)
	   for index,item in ipairs(v) do
	     if string.find(string.lower(item.name),string.lower(text))  then
	       item.charname = k
	       table.insert(BagLogger.unsortedlist, item)
	     
	     end
	   end
	   
	end
	


	 table.sort(
	 BagLogger.unsortedlist,function (a, b)
    if a.equipType == b.equipType then
        return a.name < b.name
    end
    return a.equipType < b.equipType
    end
    )
	 
	 for k,v in ipairs(BagLogger.unsortedlist) do
	   d(string.format("%s    Bag: %s    Qty: %d",  v.link,v.charname,v.qty)  )
	 end
	 
end

BagLogger.ShowBank  = function ()
  BagLogger.bagicon, BagLogger.bagslots = GetBagInfo(BAG_BANK)


  for i=1, BagLogger.bagslots do
    BagLogger.icon, BagLogger.stack, BagLogger.sellPrice, BagLogger.failedEquipRequirement, BagLogger.locked, BagLogger.equipType, BagLogger.itemStyle, BagLogger.quality = GetItemInfo(BAG_BANK, i)

    if (not (BagLogger.stack == 0))
    then

      BagLogger.link = GetItemLink(BAG_BANK, i, LINK_STYLE_BRACKETS)
      d( string.format("%s QTY: %d SellPrice: %d", BagLogger.link,BagLogger.stack,BagLogger.sellPrice )   )
    end


  end

end

BagLogger.ShowBag = function (idx)

  if idx == "" then

    BagLogger.ListLog("characteritems",string.lower(GetUnitName("player")))
  else

    BagLogger.ListLog("characteritems",string.lower(idx))
  end
end




BagLogger.ClearLog = function (type,char)

  ALT.savedVars[type].data[char] = {}

end

BagLogger.ListLog = function (type,char)
  BagLogger.itemlist  =   ALT.savedVars[type].data[char]

  if BagLogger.itemlist ~= nil then

    for index , item in pairs(BagLogger.itemlist) do


      d(string.format("%s  Qty: %d  SellPrice: %d", item.link,item.qty,(item.qty*item.sellPrice)))



    end
  end
end

